Getting started

OrangeCD Record Catalog is an Internet-ready 32-bit music collection management software for Windows. It supports music in different formats (CD, vinyl, DVD, tapes, etc). It fully supports FreeDB Internet database, which lets you insert a CD into the CD-ROM drive and get album information instantly, including artist name, album category, track titles and extended data.

OrangeCD Record Catalog has a complete set of fields for both albums and tracks, including user defined fields, thus enabling you to catalog all the data you want. It has a convenient, Explorer-like user interface with seemless web and Windows shell integration. OrangeCD is also a drag-and-drop enabled.

For information about purchasing and licensing OrangeCD, read How to order topic.

Copyrights

OrangeCD, OrangeCD Player, and OrangeCD Record Catalog are copyright © 1997-2001 by Firetongue Software.

CD Database Server, Internet CD Database Server, CD Server, Internet CD Server, CDDB Protocol Server and CDDB Server are copyright © 1996 by Steve Scherf.


How to get help

To get a general help, click the button at the right end of the toolbar:

To get a help within a dialog box, click the question mark button at the right end of the dialog box title bar:


How to install and remove

How to install/remove

System requirements

  • Any PC running Microsoft Windows 95/98/2000, Windows ME, Windows NT 4.0 or Windows XP.
  • 16 MB RAM and 4 MB of free hard disk space.
  • A mouse or other tracking device.
  • Internet connection is recommended.
  • High Color display is recommended.
  • Microsoft Internet Explorer 4.0 or above.

    Note for Windows 95 or Windows NT 4.0 users:
    You may be required to install the latest version of Internet Explorer from Microsoft web site: http://www.microsoft.com/windows/ie/default.htm

Installation

If you downloaded a self-extracting setup file, just run the executable.

If you downloaded a zip archive, extract all contained files into a temporary folder, then run setup.exe.

Remove

To remove OrangeCD installation, use Add/Remove Programs icon in Windows Control Panel (usually it can be reached via Start menu -> Settings). Please refer Windows Help for details.
  • You must exit OrangeCD programs before attempting to uninstall the software. Otherwise, some files may remain in your system, or unnecessary reboot may be initiated.


How to order

OrangeCD is distributed as shareware. That means, you can install and try it for 30 days. During this evaluation period, software is fully functional. To continue using OrangeCD after the 30-day evaluation period, you should pay a registration fee. See also License agreement.

The registration of OrangeCD version 4.0 costs you $20 per computer. Please contact our sales department for other pricing options (bulk orders, corporate license etc.). The e-mail address is sales@firetongue.com.

How to order

Please visit our ordering web page:

http://www.firetongue.com/purchase.html

Registration benefits

  • Full license to use the software beyond 30-day evalution period.
  • Personal registration key to unlock your copy into the registered version.
  • Free upgrades.
  • Free technical support via e-mail, worldwide.

See also

License agreement
Feedback and support


Feedback and support

OrangeCD web site

Please visit OrangeCD web site if you want to get more information about OrangeCD, download a latest version, and get some free stuff.

http://www.firetongue.com/

Support

Please send your questions to the authors at the following address:

orangecd@firetongue.com

Feedback

Please use the following web form to submit your bug reports, comments, or feature suggestions:

http://www.firetongue.com/bug.html


Getting started

License agreement

Trial Version

The trial version of this software may be used for evaluation purposes at the user's own risk for a period of 30 days from the date of installation. At the end of the trial period, the user must either purchase a license to continue using the software, or remove it from his/her system.

The trial version may be freely distributed, provided the distribution package is not modified. No person or company may charge a fee for the distribution of OrangeCD Suite without written permission from the copyright holder.

Licensed Version

On payment of the appropriate license fee, the user is granted a non-exclusive license to use OrangeCD Suite on one computer, for any legal purpose, at a time. The registered software may not be rented or leased, but may be permanently transferred, if the person receiving it agrees to terms of this license. If the software is an update, the transfer must include the update and all previous versions.

Whilst every care has been taken in the construction and testing of this software, it is supplied subject to the condition that the user undertakes to evaluate the suitability of the control for his/her purposes. Firetongue Software makes no representation of the software's suitability for any purpose, and the user agrees that Firetongue Software has no responsibility for any loss or damage occasioned by the use of this software.

TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, THE SOFTWARE AND DOCUMENTATION ARE PROVIDED "AS IS" AND FIRETONGUE SOFTWARE DISCLAIMS ALL OTHER WARRANTIES AND CONDITIONS, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, CONFORMANCE WITH DESCRIPTION, TITLE AND NON-INFRINGEMENT OF THIRD PARTY RIGHTS.

TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT SHALL FIRETONGUE SOFTWARE BE LIABLE FOR ANY INDIRECT, INCIDENTAL, CONSEQUENTIAL, SPECIAL OR EXEMPLARY DAMAGES OR LOST PROFITS WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR ANY OTHER PECUNIARY LOSS) ARISING OUT OF THE USE OR INABILITY TO USE THE SOFTWARE PRODUCT, EVEN IF FIRETONGUE SOFTWARE HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN ANY CASE, FIRETONGUE SOFTWARE'S CUMULATIVE AND ENTIRE LIABILITY TO YOU OR ANY OTHER PARTY FOR ANY LOSS OR DAMAGES RESULTING FROM ANY CLAIMS, DEMANDS OR ACTIONS ARISING OUT OF OR RELATING TO THIS AGREEMENT SHALL NOT EXCEED THE PURCHASE PRICE PAID FOR THIS LICENSE.

Should any term of these terms and conditions be declared void or unenforceable by any court of competent jurisdiction, such declaration shall have no effect on the remaining terms hereof.

If you do not agree to these conditions you should not install this software.


Main screen

The main screen of OrangeCD Record Catalog has been designed to look and feel like Windows explorer:

The content tree (2) on the left shows albums grouped in folders (e.g. artist or conductor folders). The browse screen (6) on the right usually displays details for the item (either album or folder) selected in the content tree.

For example, selecting artist folder in the content tree will show the list of corresponding albums in the browse screen. Selecting the album in the content tree will reveal details of this album: track listing, credits, album cover etc. Thus, depending on what kind of item is selected in content tree, browse screen can display either album list, or album details.

Note, however, that you can navigate through albums and folders only by means of browse screen itself, by clicking underlined links. The process is basically the same as for web browsing: pages are opened within the same window, and it is always possible to return to previous page by clicking [image] Back toolbar button.

The layout of the main screen can be changed by dragging the divider between content tree and browse screen. Also, it is possible to hide the content tree completely, by clicking close button at the top right corner of the content tree. If the content tree is hidden, it can be restored by clicking View | Content Tree menu item.

Content tree

The tree can group the albums in folders, which represent the values of the specific field. The field, by which the albums are grouped, is selected by drop-down box on the top of the tree. In current version, albums can be grouped by one of the following fields:
  • Artist
  • Category
  • Format
  • Label
  • Studio
  • Producer
  • Engineer
  • Tour
  • Soloist
  • Conductor
  • Orchestra
  • Custom fields
The folders can be expanded by clicking a plus sign next to the folder icon. Depending on user preferences, the single or double click on the tree items (either folder or album) opens the corresponding album list or album details in the browse screen.

The right click on the tree item displays a tree context menu, which can be used for quick access to the tree commands.

Album list

Album list is usually displayed when the folder is selected in the content tree. Album list can display in two ways: in a Report view, and a Thumbnails view. Switching between the display modes is done by [image] and [image] toolbar buttons.

Report view

If the Report view is selected, albums are listed in a form of a compact table. On the top of it there is a header displaying names of columns. This view is fully customizable: you can select which columns to display, specify the width of each columns, and sort items by a specified criteria.

The columns can be resized by dragging a divider line between two columns headers on the top of album list. Note that columns can be hidden completely by resizing them to zero width.

To show additional columns, right click anywhere in album list and select Columns from the pop-up menu, then click the columns you want to display.

By default, album list is unordered. However, the albums can be sorted by one of the columns by clicking on the corresponding column header. Note that the second click on the same column will reverse current sort order. For example, if the list is sorted by album titles in ascending order, the click on Album Title column header will cause the list to sort albums by titles in descending order.

Thumbnail view

If the Thumbnail view is selected, small album images (thumnails) are displayed instead of the table. Unlike Report view, Thumbnails only display the title for each album. On the other hand, Thumbnails give a nice overview of what the album covers look like.


Album property sheet

Album property sheet is used to enter or change album data. It consists of several pages. The pages can be switched by the tabs on the top of the dialog box:
  • General page
  • Tracks page
  • Cover page
  • Recording page
  • Notes page
  • Miscellaneous page

See also:

How to add albums
How to edit albums


General page

General property page is used to enter or change most common fields of the album.

See also:

Album property sheet
How to add albums


Tracks page

Tracks property page is used to enter or change track titles for the album.

See also:

Album property sheet
How to add albums


Cover page

Cover page is used to add or change cover image for the album.

See also:

Album property sheet
How to add albums


Recording page

Recording page is used to enter or change the fields, related to album recording. For example, the studio location, and the recording engineer's name can be handled by this page.

See also:

Album property sheet
How to add albums


Notes page

Notes page is used to enter or change user notes for the album.

See also:

Album property sheet
How to add albums


Miscellaneous page

Miscellaneous page is used to enter or change custom (user-defined) fields for the album.

See also:

Album property sheet
How to add albums


How to add albums

There are several ways of adding albums to the database.

If you are adding the album on a CD, the recommended way is as follows:

  1. Insert CD in CD-ROM drive,
  2. Click [image] toolbar button, or
    click Album | Add Albums | Scan CD-ROM drives menu command.
  3. Click Add Album button.

If you are adding the album on any other media (like vinyl, tape, MP3 etc.), you should use [image] toolbar button, or Album | Add Albums | New album menu command.

Note that the table of contents (TOC) of the CD is required to download information from FreeDB Internet servers. Therefore, OrangeCD can only download information for albums on CD.

See also:

Album property sheet


How to edit albums

To edit the album:
  1. Right-click on the album cover or title.
  2. In the pop-up menu, select Properties.
  3. Make neccessary changes using Album property sheet.
  4. Click OK to save any changes you have made.

See also:

Album property sheet
How to add albums
How to remove albums


How to remove albums

To permanently remove the album from the database:
  1. Right-click on the album cover or title.
  2. From the pop-up menu, select Delete. A confirmation box will be displayed.
  3. Click Yes.

See also:

How to add albums


How to edit tracks

How to to edit tracks

To edit the album track:
  1. Right-click on the album cover or title.
  2. In the pop-up menu, select Track Properties.
  3. Using << and >> buttons, choose the track you want to edit.
  4. Edit the track data.
  5. Click OK to save the changes you have made.

See also:

How to add albums


How to find the album

To find the album in the database:
  1. Click [image] toolbar button.
  2. Enter the album title or artist name in Text to find field.
  3. Click Find button to start searching.
  4. Once the search is complete, select the album you are looking for from the Search Results album list.

See also:

How to browse albums by any field


How to browse albums by any field

To browse the albums by any field:
  1. Make sure the content tree is visible on the screen. If it is not, click [image] Content toolbar button.
  2. Using the drop-down box on the top of the content tree, choose the field by which you want to browse the albums.
  3. Browse the albums. Any folder in the content tree can be expanded by clicking a plus sign next to the folder icon.

See also:

How to find the album


How to print the list of albums

To print the list of albums:
  1. Create the list of albums you want to print. You can do this by searching or browsing the albums.
  2. Use Database | Print menu command.
  3. Click OK to begin printing.

See also:

How to find the album
How to browse albums by any field


How to add album cover

To add album cover using the clipboard:
  1. From another program, copy the cover image into the clipboard. Please refer the program help how to do this. (For example, to copy image using Internet Explorer, you should right-click on the image and select Copy from the pop-up menu.)
  2. Right-click on the album title.
  3. From the pop-up menu, select Properties.
  4. Activate Cover page by clicking a tab on the top of the dialog box.
  5. Click Paste button. The image should appear on the page.
  6. Click OK to save the image in the database.
To add album cover using the image file:
  1. Right-click on the album title.
  2. From the pop-up menu, select Properties.
  3. Activate Cover page by clicking a tab on the top of the dialog box.
  4. Click Load button. The dialog box will appear.
  5. Using the dialog box, locate the image file on your disk.
  6. Click Open button to open the image file. The image should appear on the page.
  7. Click OK to save the image in the database.

See also:


How to add Internet shortcuts

To add Internet shortcuts to the album:
  1. Right-click on the album title or cover.
  2. In the pop-up menu, click Artist Web links.
  3. Click Add button.
  4. Enter web link URL, name and optional description.
  5. Click OK.
  6. Repeat steps 3-5 if you want to add more shortcuts.
  7. Click OK to save shortcuts to the database.

See also:


How to add song lyrics

To add song lyrics for the specific track:
  1. Right-click on the album cover or title.
  2. In the pop-up menu, select Track Properties.
  3. Using << and >> buttons, choose the track for which you want to add lyric.
  4. Activate Lyrics page by clicking a tab on the top of the dialog box.
  5. Copy and paste the lyric into the text field on the Cover page.
  6. Click OK to save the changes.

See also:

How to edit tracks